# HG changeset patch
# User Simon Guest <simon.guest@agresearch.co.nz>
# Date 1380086222 -43200
#      Wed Sep 25 17:17:02 2013 +1200
# Node ID 2e6bb51b7730c8013bc264c6f84d2b9697731178
# Parent  a49aff09553e08202c19ad131d4371dedd703b90
Pickup R script from REPOSITORY_INSTALL_DIR

diff -r a49aff09553e -r 2e6bb51b7730 deseq/deseq.xml
--- a/deseq/deseq.xml	Wed Jan 09 18:39:12 2013 -0500
+++ b/deseq/deseq.xml	Wed Sep 25 17:17:02 2013 +1200
@@ -1,8 +1,10 @@
 <tool id="deseq" name="DE Seq">
 	<description>Run Differential Expression analysis from SAM To Count data</description>
-
+        <requirements>
+          <requirement type="set_environment">R_SCRIPT_PATH</requirement>
+        </requirements>
 	<command interpreter="python">
-		 stderr_wrapper.py Rscript ${GALAXY_DATA_INDEX_DIR}/deseq.R $counts $column_types $comparison $top_table $diagnostic_html "$diagnostic_html.files_path" "$counts.name"
+		 stderr_wrapper.py Rscript \$R_SCRIPT_PATH/deseq.R $counts $column_types $comparison $top_table $diagnostic_html "$diagnostic_html.files_path" "$counts.name"
 	</command>
 
 	<inputs>
diff -r a49aff09553e -r 2e6bb51b7730 tool_dependencies.xml
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/tool_dependencies.xml	Wed Sep 25 17:17:02 2013 +1200
@@ -0,0 +1,6 @@
+<?xml version="1.0"?>
+<tool_dependency>
+  <set_environment version="1.0">
+    <environment_variable name="R_SCRIPT_PATH" action="set_to">$REPOSITORY_INSTALL_DIR/deseq</environment_variable>   
+  </set_environment>
+</tool_dependency>
# HG changeset patch
# User Simon Guest <simon.guest@agresearch.co.nz>
# Date 1380087036 -43200
#      Wed Sep 25 17:30:36 2013 +1200
# Node ID 570aa6c6623e46086cb6cf39fa7e5052de636af5
# Parent  2e6bb51b7730c8013bc264c6f84d2b9697731178
Updated README.md to reflect more straightforward installation.

diff -r 2e6bb51b7730 -r 570aa6c6623e deseq/README.md
--- a/deseq/README.md	Wed Sep 25 17:17:02 2013 +1200
+++ b/deseq/README.md	Wed Sep 25 17:30:36 2013 +1200
@@ -16,7 +16,7 @@
 
 ## Installation
 
-stderr_wrapper.py and sam2counts_galaxy.py must be in the path or they can remain in the tools directory with the xml files.  deseq.R must be copied to the "tool-data" directory under the main Galaxy install directory.
+Simply install from toolshed and use immediately.
 
 ## Use
 
